> For the complete documentation index, see [llms.txt](https://developer.nilvera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.nilvera.com/en/api/e-ledger-api/settings/ledger-settings-are-created-updated.md).

# Ledger Settings are Created/Updated

{% openapi src="<https://apitest.nilvera.com/swagger/docs/v1/eledger>" path="/eledger/Properties" method="put" expanded="true" %}
<https://apitest.nilvera.com/swagger/docs/v1/eledger>
{% endopenapi %}

{% tabs %}
{% tab title="C#" %}

```csharp
var options = new RestClientOptions("https://apitest.nilvera.com")
{
    MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/eledger/Properties", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer <API KEY>");
var body = @"{
    ""ELedgerProperties"": {
        ""Nace"": ""Your Nace Value"",
        ""Creator"": ""Your Creator Value"",
        ""TaxType"": ""IncludeTax"",
        ""LineCount"": 0,
        ""IsBranch"": true,
        ""BranchName"": ""Your Branch Name"",
        ""BranchNumber"": ""Your Branch Number"",
        ""LedgerPeriod"": true,
        ""FiscalYearStart"": ""2024-04-03T11:14:43.050Z"",
        ""FiscalYearEnd"": ""2024-04-03T11:14:43.050Z"",
        ""AccountingPeriod"": ""AccountingPeriod"",
        ""IsLiquidate"": true,
        ""LiquidateYearStart"": ""2024-04-03T11:14:43.050Z""
    }
}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/eledger/Properties',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "ELedgerProperties": {
    "Nace": "string",
    "Creator": "string",
    "TaxType": "IncludeTax",
    "LineCount": 0,
    "IsBranch": true,
    "BranchName": "string",
    "BranchNumber": "string",
    "LedgerPeriod": true,
    "FiscalYearStart": "2024-04-03T11:14:43.050Z",
    "FiscalYearEnd": "2024-04-03T11:14:43.050Z",
    "AccountingPeriod": "AccountingPeriod",
    "IsLiquidate": true,
    "LiquidateYearStart": "2024-04-03T11:14:43.050Z"
  }
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
const axios = require('axios');
let data = JSON.stringify({
  "ELedgerProperties": {
    "Nace": "string",
    "Creator": "string",
    "TaxType": "IncludeTax",
    "LineCount": 0,
    "IsBranch": true,
    "BranchName": "string",
    "BranchNumber": "string",
    "LedgerPeriod": true,
    "FiscalYearStart": "2024-04-03T11:14:43.050Z",
    "FiscalYearEnd": "2024-04-03T11:14:43.050Z",
    "AccountingPeriod": "AccountingPeriod",
    "IsLiquidate": true,
    "LiquidateYearStart": "2024-04-03T11:14:43.050Z"
  }
});
let config = {
  method: 'put',
  maxBodyLength: Infinity,
  url: 'https://apitest.nilvera.com/eledger/Properties',
  headers: { 
    'Content-Type': 'application/json', 
    'Authorization': 'Bearer <API KEY>'
  },
  data : data
};
axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

{% endtab %}
{% endtabs %}
